Semtools - Bug #5371

AnnotationManager: query performance
04/04/2011 02:30 PM - ben leinfelder

Status: New Start date: 04/04/2011
Priority: Normal Due date:

Assignee: ben leinfelder % Done: 0%
Category: Metacat extensions Estimated time: 0.00 hour
Target version: metacat-plugin-0.9.0 Spent time: 0.00 hour
Bugzilla-ld: 5371

Description

Identify long-running aspects of semquery. First glance indicates that returning the metadata/annotation content to be displayed in
Metacat is the biggest bottleneck. This is good and bad. It means using the DB for managing annotations is pretty efficient, but it also

means that returning large results sets will not be so efficient.

Probable solution: include only a subset of annotation information in the resultset rather than the entire annotation xml content.

History

#1 - 03/27/2013 02:30 PM - Redmine Admin
Original Bugzilla ID was 5371

#2 - 11/26/2013 08:59 AM - ben leinfelder

- Target version changed from Unspecified to sms-core-1.0.0

#3 - 11/26/2013 09:08 AM - ben leinfelder

- Target version changed from sms-core-1.0.0 to metacat-plugin-0.9.0
